
%global meadversion 3.0.2
%global namedversion 3.0.2.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jakarta-el}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.0.2.redhat-00001

Name:           %{?scl_prefix}jakarta-el
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jakarta Expression Language
Group:          Development/Java

%if %with mead
Source100: jakarta.el-3.0.2.redhat-00001-project-sources.tar.gz
Source102: jakarta.el-3.0.2.redhat-00001.jar
Source103: jakarta.el-3.0.2.redhat-00001-javadoc.jar
Source104: jakarta.el-3.0.2.redhat-00001.pom
Source105: jakarta.el-3.0.2.redhat-00001-sources.jar
%endif

License:        EPL-2.0
URL:            https://projects.eclipse.org/projects/ee4j.el/
Obsoletes:      %{?scl_prefix}glassfish-el <= 0:3.0.1

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
 Jakarta Expression Language provides a specification document, API, 
reference implementation and TCK that describes an expression language 
for Java applications.  that are in java.lang's hierarchy, or are 
considered to be so standard as to justify existence in java.lang.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jakarta-el
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jakarta.el-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jakarta.el-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.el-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jakarta.el-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jakarta.el-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jakarta.el-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.el-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jakarta.el-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jakarta.el-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jakarta.el-%{namedversion} -x META-INF/\*
%{__ln_s} jakarta.el-%{namedversion} %{buildroot}%{_javadocdir}/jakarta.el
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.md NOTICE.md README.md
%{_javadir}/jakarta.el-%{namedversion}.jar
%{_javadir}/jakarta.el.jar
%if %with javadoc
%{_javadir}/jakarta.el-%{namedversion}-javadoc.jar
%{_javadir}/jakarta.el-javadoc.jar
%endif
%{_javadir}/jakarta.el-%{namedversion}-sources.jar
%{_javadir}/jakarta.el-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jakarta.el-%{namedversion}
%{_javadocdir}/jakarta.el
%endif

%changelog
* Mon Jul 15 2019 Permaine Cheung <pcheung@redhat.com> - 3.0.2-1.redhat_00001.1
- 3.0.2.redhat-00001

